## org.firebirdsql.jdbc
Class FBWrappingDataSource

    java.lang.Object
      org.firebirdsql.pool.FBWrappingDataSource
          org.firebirdsql.jdbc.FBWrappingDataSource

All Implemented Interfaces:
  Serializable, Wrapper, Referenceable, ObjectFactory, CommonDataSource, DataSource, FirebirdConnectionProperties, ConnectionPoolConfiguration, FirebirdPool

Deprecated. Use `FBWrappingDataSource` instead.

    public class FBWrappingDataSource

extends FBWrappingDataSource

Wrapping data source. This implementation is available only to provide easy migration from JayBird 1.0.x to a new connection pooling framework.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Constructor Summary
`FBWrappingDataSource()` Deprecated. Create instanec of this class.

Method Summary
`int` `getBlobBufferLength()` Deprecated.
`String` `getDatabaseName()` Deprecated.
`int` `getIdleTimeoutMinutes()` Deprecated.
`int` `getMaxSize()` Deprecated.
`int` `getMinSize()` Deprecated.
`Integer` `getTransactionIsolation()` Deprecated.
`String` `getUser()` Deprecated.
`void` `setBlobBufferLength(int length)` Deprecated.
`void` `setDatabaseName(String databaseName)` Deprecated.
`void` `setIdleTimeoutMinutes(int timeout)` Deprecated.
`void` `setMaxSize(int maxSize)` Deprecated.
`void` `setMinSize(int minSize)` Deprecated.
`void` `setTransactionIsolation(Integer isolation)` Deprecated.
`void` `setUser(String user)` Deprecated.

Methods inherited from class org.firebirdsql.pool.FBWrappingDataSource

`finalize, getBlobBufferSize, getBlockingTimeout, getBuffersNumber, getCharSet, getConnection, getConnection, getConnectionCount, getDatabase, getDatabaseParameterBuffer, getDefaultIsolation, getDefaultReference, getDefaultTransactionIsolation, getDescription, getEncoding, getFreeSize, getIdleTimeout, getIsolation, getLoginTimeout, getLogWriter, getMaxConnections, getMaxIdleTime, getMaxPoolSize, getMaxStatements, getMinConnections, getMinPoolSize, getNonStandardProperty, getObjectInstance, getPassword, getPingInterval, getPingStatement, getPooling, getReference, getRetryInterval, getRoleName, getSocketBufferSize, getSqlDialect, getSqlRole, getTotalSize, getTpbMapping, getTransactionIsolationLevel, getTransactionParameters, getType, getUserName, getUseTranslation, getWorkingSize, isDefaultResultSetHoldable, isKeepStatements, isPingable, isPooling, isStatementPooling, isTimestampUsesLocalTimezone, isUseStandardUdf, isUseStreamBlobs, isWrapperFor, restart, setBlobBufferSize, setBlockingTimeout, setBuffersNumber, setCharSet, setDatabase, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setDescription, setEncoding, setIdleTimeout, setIsolation, setKeepStatements, setLoginTimeout, setLogWriter, setMaxConnections, setMaxIdleTime, setMaxPoolSize, setMaxStatements, setMinConnections, setMinPoolSize, setNonStandardProperty, setNonStandardProperty, setPassword, setPingInterval, setPingStatement, setPooling, setProperties, setReference, setRetryInterval, setRoleName, setSocketBufferSize, setSqlDialect, setSqlRole, setStatementPooling, setTimestampUsesLocalTimezone, setTpbMapping, setTransactionIsolationLevel, setTransactionParameters, setType, setUserName, setUseStandardUdf, setUseStreamBlobs, setUseTranslation, shutdown, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBWrappingDataSource

    public FBWrappingDataSource()
                         throws SQLException

  Deprecated.
  Create instanec of this class.

  Throws:
    `SQLException` - if pool cannot be instantiated.

Method Detail

### getBlobBufferLength

    public int getBlobBufferLength()

  Deprecated.

### setBlobBufferLength

    public void setBlobBufferLength(int length)

  Deprecated.

### getDatabaseName

    public String getDatabaseName()

  Deprecated.

### setDatabaseName

    public void setDatabaseName(String databaseName)

  Deprecated.

### getUser

    public String getUser()

  Deprecated.

### setUser

    public void setUser(String user)

  Deprecated.

### getMaxSize

    public int getMaxSize()

  Deprecated.

### setMaxSize

    public void setMaxSize(int maxSize)

  Deprecated.

### getMinSize

    public int getMinSize()

  Deprecated.

### setMinSize

    public void setMinSize(int minSize)

  Deprecated.

### getIdleTimeoutMinutes

    public int getIdleTimeoutMinutes()

  Deprecated.

### setIdleTimeoutMinutes

    public void setIdleTimeoutMinutes(int timeout)

  Deprecated.

### getTransactionIsolation

    public Integer getTransactionIsolation()

  Deprecated.

### setTransactionIsolation

    public void setTransactionIsolation(Integer isolation)

  Deprecated.

Copyright © 2001-2010. All Rights Reserved.